# PhasicFlow: src/phasicFlow/globals/error.hpp File Reference

error.hpp File Reference
Include dependency graph for error.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Macros

#define | fatalError fatalErrorMessage(__FILE__, __LINE__)
#define | fatalErrorIn(functionName) fatalErrorInMessage((functionName), __FILE__, __LINE__ )
#define | fatalErrorInFunction fatalErrorIn(FUNCTION_NAME)
#define | Not_Implemented(functionName) notImplementedErrorMessage ((functionName), __FILE__, __LINE__ )
#define | notImplementedFunction Not_Implemented(FUNCTION_NAME);
#define | ioErrorInFile(fileName, lineNumber) ioErrorMessage( fileName, lineNumber, FUNCTION_NAME, __FILE__, __LINE__ )
#define | warningIn(functionName) warningMessage((functionName), __FILE__, __LINE__ )
#define | warningInFunction warningIn(FUNCTION_NAME)
#define | fatalExit reportAndExit()

## Functions

pFlow::iOstream & | fatalErrorMessage (const char *fileName, int linNumber)
pFlow::iOstream & | fatalErrorInMessage (const char *fnName, const char *fileName, int linNumber)
pFlow::iOstream & | notImplementedErrorMessage (const char *fnName, const char *fileName, int lineNumber)
pFlow::iOstream & | ioErrorMessage (const pFlow::word &fileName, int fileLineNumber, const char *fnName, const char *fName, int lNumber)
pFlow::iOstream & | ioErrorMessage (const char *fileName, int fileLineNumber, const char *fnName, const char *fName, int lNumber)
pFlow::iOstream & | warningMessage (const char *fnName, const char *fileName, int linNumber)
pFlow::iOstream & | reportAndExit ()

## Macro Definition Documentation

## fatalError

#define fatalError fatalErrorMessage(__FILE__, __LINE__)

Definition at line 36 of file error.hpp.

## fatalErrorIn

#define fatalErrorIn | ( |  | functionName | ) | fatalErrorInMessage((functionName), __FILE__, __LINE__ )

Definition at line 39 of file error.hpp.

## fatalErrorInFunction

#define fatalErrorInFunction fatalErrorIn(FUNCTION_NAME)

Definition at line 42 of file error.hpp.

## Not_Implemented

#define Not_Implemented | ( |  | functionName | ) | notImplementedErrorMessage ((functionName), __FILE__, __LINE__ )

Definition at line 44 of file error.hpp.

## notImplementedFunction

#define notImplementedFunction Not_Implemented(FUNCTION_NAME);

Definition at line 47 of file error.hpp.

## ioErrorInFile

#define ioErrorInFile | ( |  | fileName,
|  |  | lineNumber
| ) |  | ioErrorMessage( fileName, lineNumber, FUNCTION_NAME, __FILE__, __LINE__ )

Definition at line 49 of file error.hpp.

## warningIn

#define warningIn | ( |  | functionName | ) | warningMessage((functionName), __FILE__, __LINE__ )

Definition at line 52 of file error.hpp.

## warningInFunction

#define warningInFunction warningIn(FUNCTION_NAME)

Definition at line 55 of file error.hpp.

## fatalExit

#define fatalExit reportAndExit()

Definition at line 57 of file error.hpp.

## Function Documentation

## fatalErrorMessage()

pFlow::iOstream& fatalErrorMessage | ( | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 31 of file error.cpp.

References errorStream, and redText.

## fatalErrorInMessage()

pFlow::iOstream& fatalErrorInMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 41 of file error.cpp.

References errorStream, and redText.

## notImplementedErrorMessage()

pFlow::iOstream& notImplementedErrorMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | lineNumber
| ) |  |

Definition at line 51 of file error.cpp.

References errorStream, and redText.

## ioErrorMessage() [1/2]

pFlow::iOstream& ioErrorMessage | ( | const pFlow::word & | fileName,
|  | int | fileLineNumber,
|  | const char * | fnName,
|  | const char * | fName,
|  | int | lNumber
| ) |  |

Definition at line 73 of file error.cpp.

References ioErrorMessage().

Here is the call graph for this function:

## ioErrorMessage() [2/2]

pFlow::iOstream& ioErrorMessage | ( | const char * | fileName,
|  | int | fileLineNumber,
|  | const char * | fnName,
|  | const char * | fName,
|  | int | lNumber
| ) |  |

Definition at line 62 of file error.cpp.

References errorStream, and redText.

Referenced by ioErrorMessage().

Here is the caller graph for this function:

## warningMessage()

pFlow::iOstream& warningMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 79 of file error.cpp.

References errorStream, and yellowText.

## reportAndExit()

pFlow::iOstream& reportAndExit | ( |  | ) |

Definition at line 89 of file error.cpp.

References pFlow::endl(), and errorStream.

Here is the call graph for this function: